Subject: Re: Updated: Cygwin DLL 1.1.2
From: Chris Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 7 Jun 2000 23:20:02 -0400

I'm sorry I don't have a clue what you are talking about.

The last update to the DLL was on 15-May-2000.  It was announced in
a mail message dated 'Mon, 15 May 2000 00:51:24 -0400'.

The date of the DLL tar file on sourceware.cygnus.com was 'May 14 20:49'.

There is no 1999 in any of these dates.

It does, of course, take some time for the mirrors to get the latest
version of cygwin.

cgf

On Wed, Jun 07, 2000 at 09:13:20PM -0600, Jerome Benoit wrote:
>It seems that the actual date of the last update is wrong: the year is
>1999
>
>I guess it is why this latest version is available from the mirrors.
>
>I hope it help,
>Jerome BENOIT
>
>Chris Faylor wrote:
>> 
>> I've updated the version of the cygwin DLL in cygwin/latest to 1.1.2.
>> 
>> A partial, unordered list of what's changed is below.  If anyone who has
>> submitted changes that are not mentioned below wants to chime in, please
>> feel free.
>> 
>> To update your installation, CREATE AN EMPTY DIRECTORY, cd to it, and
>> download the latest version of setup.exe from the cygwin/latest
>> directory at a cygwin mirror site near you.  Then type:
>> 
>> setup cygwin
>> 
>> Answer the questions as you did when you first installed cygwin.  This
>> procedure should only update the cygwin package.
>> 
>> Note that if you use the "cygwin -u" syntax, you will not be able to
>> upgrade the DLL to 1.1.2 if you have previously downloaded a snapshot.
>> This is due to the fact that the snapshot versions were already
>> 1.1.2.
>> 
>> Using "setup cygwin" will force a new copy of cygwin to be downloaded and
>> installed, as long as you do this IN AN EMPTY DIRECTORY.
>> 
>> Christopher Faylor
>> Cygwin Engineering Manager (and developer)
>> Cygnus Solutions, a Red Hat company
>> 
>> Visible Changes:
>> 
>> - Use of the /usr/i686-pc-cygwin/lib and /usr/i686-pc-cygwin/include
>>   directories has been deprecated.  Starting with this release, these
>>   directories have been moved into /usr.
>> 
>> Fixes:
>> 
>> - Fixed problems with \r\n line endings manifesting when text mode
>>   was specified.
>> 
>> - Fixed problem exiting rxvt on Windows 95.
>> 
>> - Fixed problem with 'cd' when current directory is a path mapped
>>   to something like '/c'.
>> 
>> - Fixed problem loading certain functions from advapi32.dll on older
>>   versions of Windows 95.
>> 
>> - Avoid setting "ENOTDIR" errno when attempting to delete a non-existent
>>   file.
>> 
>> - Eliminate test for a "writable directory" which arbitrarily limited
>>   the ability to delete files in a "read-only" directory.  This is
>>   only a limitation of UNIX.  Windows allows this.
>> 
>> - Scan LOCAL_MACHINE registry as well as current user registry when
>>   looking for per-program cygwin options.
>> 
>> - Eliminate occasional "couldn't dynamically determine load address"
>>   errors.
>> 
>> - Correct header file problem in include/cygwin/in.h where in6_addr
>>   was incorrectly named.
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]

-- 
[email-masked]                        Cygnus Solutions, a Red Hat company
http://sourceware.cygnus.com/         http://www.redhat.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]